org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver

## Class Bulkhead3TaskQueueSemaphoreBean

- java.lang.Object
- - org.eclipse.microprofile.fault.tolerance.tck.bulkhead.clientserver.Bulkhead3TaskQueueSemaphoreBean

    @ApplicationScoped
    public class Bulkhead3TaskQueueSemaphoreBean
    extends Object

Tests that the waitingTaskQueue parameter is ignored when `Asynchronous` is not used

### Constructor Summary

Constructors
Constructor and Description
`Bulkhead3TaskQueueSemaphoreBean()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `test(Barrier barrier)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Bulkhead3TaskQueueSemaphoreBean

    public Bulkhead3TaskQueueSemaphoreBean()

### Method Detail

#### test

    @Bulkhead(value=3,
              waitingTaskQueue=5)
    public void test(Barrier barrier)